Description

The Wolfhound has unusually large ISP at 420s

(compare to Cheetah with a similar bell and 345s, for example)
The Skiff has unusually low mass at 1.0t, and thrust at 300kN
(compare to the smaller Skipper at 3.0t and 650kN, for example)

The balance in-game of the new engines is summarized at
https://forum.kerbalspaceprogram.com/index.php?/topic/172699-making-history-engine-round-up/

and some discussion of perceived mis-balance at
https://forum.kerbalspaceprogram.com/index.php?/topic/172401-the-wolfhound-and-the-skiffs-stats-seem-to-be-switched/

One re-balance is being tried (and liked) at
https://forum.kerbalspaceprogram.com/index.php?/topic/174303-14x-engine-tweaks-for-making-history/

History

#1 - 05/31/2018 02:43 PM - klesh

| guess | can confirm that the community is confused and bewildered by the stats of the MH engines, and perhaps the devs explaining the numbers
they've chosen would help. Everyone will have their own opinion of what the numbers should be, but if Squad were to at least explain why they've
chosen the numbers as they are, it can put alot of this "The stats are just switched!!1!" posts to rest.

#2 - 10/04/2018 11:40 PM - Nebbie
- Status changed from New to Confirmed

- Platform Linux added

While | don't entirely agree, | would like to confirm this mainly because of the Mastodon in particular being a worse Mainsail (and thus not being able
to lift a fully-fueled Saturn V replica, which IMO is a major symbolic failure), having very little reason to bother with Skiff/Kodiak, and the Wolfhound
being a little bit extreme.

#3 - 08/22/2019 09:11 PM - nestor
- Status changed from Confirmed to Ready to Test

- Target version set to 1.6.0

#4 - 08/23/2019 06:56 AM - Anonymous
- Status changed from Ready to Test to Resolved

The rebalance with version 1.60 was certainly in the direction to resolve the imbalance reported in the links above,
and the changes were helpfully described by Maxsimal in the 'dev notes' section of the forum,
so it seems this report has served its purpose.

#5 - 08/23/2019 09:05 PM - chris.fulton

- Status changed from Resolved to Closed
